Bug 173530 - Print.h requires X11/Xauth.h
Print.h requires X11/Xauth.h
Product: Fedora
Classification: Fedora
Component: xorg-x11-proto-devel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
: 173884 176077 (view as bug list)
Depends On:
Blocks: FC6Target
  Show dependency treegraph
Reported: 2005-11-17 17:48 EST by Patrice Dumas
Modified: 2014-06-18 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-08 18:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2005-11-17 17:48:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
 X11/extensions/Print.h includes X11/Xauth.h but doesnt requires the package that owns that file:
#include <X11/Xauth.h>

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install and try to build

Additional info:
Comment 1 Mike A. Harris 2006-01-31 19:28:09 EST
*** Bug 176077 has been marked as a duplicate of this bug. ***
Comment 2 Mike A. Harris 2006-06-27 12:44:54 EDT
Print.h needs to be examined to see if it should move to libXp package, or
if it should be refactored.

Comment 3 Matthias Clasen 2006-07-06 17:52:14 EDT
Add to FC6Destop tracker
Comment 4 Adam Jackson 2006-08-02 15:56:43 EDT
*** Bug 173884 has been marked as a duplicate of this bug. ***
Comment 5 Patrice Dumas 2006-09-09 18:47:29 EDT
In which version is it fixed? Print.h seems to be in 
but there is still a Requires missing on libXau-devel

As a side note, X11/extensions/security.h which is in 
xorg-x11-proto-devel also includes <X11/Xauth.h>, so
xorg-x11-proto-devel should still also depend on libXau-devel. 
Comment 6 Søren Sandmann Pedersen 2006-09-20 17:53:20 EDT
I have added the Requires now; it will be fixed if/when releng moves the new
package into fc6.
Comment 7 Patrice Dumas 2006-10-01 16:37:30 EDT
Should I open a new bug for X11/extensions/security.h which is in 
xorg-x11-proto-devel and includes <X11/Xauth.h>?
Comment 8 Søren Sandmann Pedersen 2006-10-01 18:05:40 EDT
I already opened bug 207391 (but apparently forgot to cc you).

Note You need to log in before you can comment on or make changes to this bug.